Drop increase_queue_depth() from the queue interface.

It isn't used anyway, and the persistent queue implementation doesn't
currently provide this operation.  Removing this allows a clean
reimplementation of the queue interface.

Index: audit/audisp/plugins/remote/queue.c
===================================================================
--- audit.orig/audisp/plugins/remote/queue.c
+++ audit/audisp/plugins/remote/queue.c
@@ -80,20 +80,6 @@ event_t *dequeue(int peek)
 	return e;
 }
 
-/* void increase_queue_depth(unsigned int size)
-{
-	if (size > q_depth) {
-		int i;
-		void *tmp_q;
-
-		tmp_q = realloc(q, size * sizeof(event_t *));
-		q = tmp_q;
-		for (i=q_depth; i<size; i++)
-			q[i] = NULL;
-		q_depth = size;
-	}
-} */
-
 int queue_length(void)
 {
 	if (q_next == q_last)
Index: audit/audisp/plugins/remote/queue.h
===================================================================
--- audit.orig/audisp/plugins/remote/queue.h
+++ audit/audisp/plugins/remote/queue.h
@@ -34,7 +34,6 @@ typedef struct event
 int init_queue(unsigned int size);
 int enqueue(event_t *e);
 event_t *dequeue(int peek);
-void increase_queue_depth(unsigned int size);
 int queue_length(void);
 void destroy_queue(void);
 
